<?xml version="1.0" encoding="utf-8"?>
<com.gh.gamecenter.common.view.MaterializedRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    android:background="@color/ui_background"
    app:consumeWindowInsets="true">

    <LinearLayout
        android:id="@+id/title_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.gh.gamecenter.common.view.StatusBarView
            android:id="@+id/statusBarView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/ui_surface" />

        <include layout="@layout/reuse_toolbar" />
    </LinearLayout>


    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/list_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/title_container"
        android:layout_marginBottom="56dp">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <include
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <View
        android:id="@+id/shadowView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black_alpha_30"
        android:visibility="gone" />

    <include
        android:visibility="gone"
        android:id="@+id/inputPlaceholderContainer"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_alignParentBottom="true"
        layout="@layout/piece_article_input_container" />

    <include
        android:visibility="gone"
        android:id="@+id/inputContainer"
        layout="@layout/piece_comment_typing_container" />

    <include
        android:id="@+id/reuse_no_connection"
        layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />
</com.gh.gamecenter.common.view.MaterializedRelativeLayout>

